petsc-3.15.0 2021-03-30
Report Typos and Errors

# PCShellSetMatApply

Sets routine to use as preconditioner on a block of vectors.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetMatApply(PC pc,PetscErrorCode (*matapply)(PC,Mat,Mat))

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| apply | - the application-provided preconditioning routine

### Calling sequence of apply

       PetscErrorCode apply (PC pc,Mat Xin,Mat Xout)

| pc | - the preconditioner, get the application context with PCShellGetContext()
| Xin | - input block of vectors
| Xout | - output block of vectors

### Notes

the function MUST return an error code of 0 on success and nonzero on failure.

### See Also

PCShellSetApply()

### Level

developer

### Location

src/ksp/pc/impls/shell/shellpc.c

### Examples

src/ksp/ksp/tutorials/ex79.c.html

### Implementations

PCShellSetMatApply_Shell(PC pc,PetscErrorCode (*matapply) in src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages